# Command: capacity

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    capacity - Returns the capacity of an array.

Synopsis:

    array capacity -> n

Examples:

    [1] capacity -> 100
      101 array capacity -> 200

Description:

    Returns the number of elements that a given array
      can hold without being re-sized.

Remarks:

    The default size for an array is 100. If it is bigger,
      its size is readjusted to a factor of 100. The number of elements
      in an array is given by length.

Author:

    docu by Sirko Straube

SeeAlso:

- reserve
- shrink
- allocations
- length
- size

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative